Subject: MOO and C

From: David Bofinger <[email-masked]>
Date: Mon, 10 Aug 1992 10:11:41 -0700

>> From:	[email-masked] (Barry T. Drake)
>>
>> Well, I'll probably get chewed for this one, but how about this sticky idea:
>>
>> Add '++', '+=', '-=', etc.  I know these are C conventions, but why not?
>> I think they are more readable, but perhaps that is only me.  Just an
>> idea. :)

Pavel replied:

>I think, personally, that these bits of syntax would tend to make MOO programs
>*harder* to understand, especially for novices, without adding very much in the
>way of convenience.

Agreed.

>My plans for the syntax, actually, are to try to make it
>*less* like C and more like, say, Modula.  For example, I'd like to get rid of
>the required parentheses in IF statements and put in instead a required THEN
>keyword.  I'd like to replace the cryptic !, &&, and || operators with the
>English keywords NOT, AND, and OR.

Personally I don't find pseudo-english keywords make anything easier to
understand, but then I'm about as much a mathematician as I am a computer
scientist anyway. People who are half computer scientist and half English
majors probably would, if such people exist.

>I'd *love* to get rid of the confusing and
>error-prone = and == operators, possibly replacing them by := and the keyword
>IS.

I'll vote for := and ==, it's hard to imagine people often using the wrong one
of those, whereas = might get confused with either.

I wonder if it would be possible to write a lint for MOO, that identified
odd-looking code. Probably not, but if anyone does I suggest the name "cud".

------------------------------------------------------------------------------
David Bofinger	AARNet:	[email-masked]
                Snail:	Dept. of Theoretical Physics, RSPhysSE, ANU, ACT, 2601
		MOO:	Marion and the manipulators.
------------------------------------------------------------------------------